﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using Telerik.Charting;
using System.Drawing;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        DataTable chartdata = new DataTable();
        chartdata.Columns.Add("series1", typeof(double));
        chartdata.Columns.Add("series2", typeof(double));
        chartdata.Columns.Add("series3", typeof(double));
        Random r = new Random();

        List<double> series1Values = new List<double>();
        List<double> series2Values = new List<double>();
        List<double> series3Values = new List<double>();

        for (int i = 0; i < 10; i++)
        {
            series1Values.Add(r.Next(0, 10));
            series2Values.Add(r.Next(0, 10));
            series3Values.Add(r.Next(0, 10));
        }

        for (int k = 0; k <= series1Values.Count - 1; k++ )
        {
            DataRow cdr = chartdata.NewRow();
            cdr[0] = series1Values[k];
            cdr[1] = series2Values[k];
            cdr[2] = series3Values[k];
            chartdata.Rows.Add(cdr);
        }

        RadChart1.DataSource = chartdata;
        RadChart1.DataBind();

        //add second chart title with different appearance
        this.RadChart1.ChartTitle.TextBlock.Text = "First chart title here";
        var titleStyleClone = (Telerik.Charting.Styles.StyleTextBlock)(this.RadChart1.ChartTitle.TextBlock.Appearance.Clone());
        TextBlock textBlockChartTitleSub = new TextBlock(titleStyleClone);
        textBlockChartTitleSub.Parent = this.RadChart1.ChartTitle;
        textBlockChartTitleSub.Text = "Second chart title here";
        textBlockChartTitleSub.Appearance.TextProperties.Color = System.Drawing.Color.Blue;
        textBlockChartTitleSub.Appearance.TextProperties.Font = new System.Drawing.Font("Verdana", 10);
        textBlockChartTitleSub.Appearance.Position.Y += 30;
        this.RadChart1.ChartTitle.Add(textBlockChartTitleSub);
        this.RadChart1.ChartTitle.Appearance.Dimensions.AutoSize = false;
        this.RadChart1.ChartTitle.Appearance.Dimensions.Height = new Telerik.Charting.Styles.Unit(60);
        this.RadChart1.ChartTitle.Appearance.Dimensions.Width = new Telerik.Charting.Styles.Unit(250);
    }
}
